ShTypes.STRRET (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: ShTypes, class: STRRET

Package com.sun.jna.platform.win32

# Class ShTypes.STRRET

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.ShTypes.STRRET

Enclosing interface:
  ShTypes

@FieldOrder({"uType","u"}) public static class ShTypes.STRRET extends Structure
structure for returning strings from IShellFolder member functions

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ShTypes.STRRET.UNION`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `TYPE_CSTR`
  `static final int`
  `TYPE_OFFSET`
  `static final int`
  `TYPE_WSTR`
  `ShTypes.STRRET.UNION`
  `u`
  `int`
  `uType`
  indicate which union member to use: `TYPE_WSTR`0x0Use STRRET.pOleStrmust be freed by caller of GetDisplayNameOf `TYPE_OFFSET`0x1Use STRRET.uOffsetOffset into SHITEMID for ANSI string `TYPE_CSTR`0x0Use STRRET.cStrANSI Buffer

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `STRRET()`
  `STRRET(Pointer p)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `read()`
  Reads the fields of the struct from native memory

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TYPE_WSTR

    public static final int TYPE_WSTR
    See Also:
      - Constant Field Values

  - ### TYPE_OFFSET

    public static final int TYPE_OFFSET
    See Also:
      - Constant Field Values

  - ### TYPE_CSTR

    public static final int TYPE_CSTR
    See Also:
      - Constant Field Values

  - ### uType

    public int uType
    indicate which union member to use:

    `TYPE_WSTR` | 0x0 | Use STRRET.pOleStr | must be freed by caller of GetDisplayNameOf
    `TYPE_OFFSET` | 0x1 | Use STRRET.uOffset | Offset into SHITEMID for ANSI string
    `TYPE_CSTR` | 0x0 | Use STRRET.cStr | ANSI Buffer

  - ### u

    public ShTypes.STRRET.UNION u

- ## Constructor Details

  - ### STRRET

    public STRRET()

  - ### STRRET

    public STRRET(Pointer p)

- ## Method Details

  - ### read

    public void read()
    Description copied from class: `Structure`
    Reads the fields of the struct from native memory
    Overrides:
      `read` in class `Structure`